/*!
    *
    * Wijmo Library 5.20251.34
    * https://developer.mescius.com/wijmo
    *
    * Copyright(c) MESCIUS inc. All rights reserved.
    *
    * Licensed under the End-User License Agreement For MESCIUS Wijmo Software.
    * us.sales@mescius.com
    * https://developer.mescius.com/wijmo/licensing
    *
    */
/**
 * {@module wijmo.react.grid.grouppanel}
 * Contains React components for the <b>wijmo.grid.grouppanel</b> module.
 */
/**
 *
 */
export declare var ___keepComment: any;
import { ControlBaseEvents, ControlBaseInputs, WjRef, WjForwardRefExoticComponent } from '@grapecity-software/wijmo.react.base';
import { FlexGridFilter } from '@grapecity-software/wijmo.grid.filter';
import { FlexGrid } from '@grapecity-software/wijmo.grid';
import * as wjcGridGrouppanel from '@grapecity-software/wijmo.grid.grouppanel';
export declare type GroupPanelInputs = ControlBaseInputs & {
    filter?: FlexGridFilter;
    grid?: FlexGrid;
    groupDescriptionCreator?: wjcGridGrouppanel.IGroupDescriptionCreator;
    hideGroupedColumns?: boolean;
    maxGroups?: number;
    placeholder?: string | null;
    showDragGlyphs?: boolean;
};
export declare type GroupPanelEvents<T> = ControlBaseEvents<T> & {};
export declare const GroupPanelMeta: {
    inputs: string[];
    events: string[];
};
export declare type GroupPanelProps = GroupPanelInputs & GroupPanelEvents<wjcGridGrouppanel.GroupPanel>;
export declare type GroupPanelRef = WjRef<wjcGridGrouppanel.GroupPanel>;
/**
 * React component for the {@link wijmo.grid.grouppanel.GroupPanel} control.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.grid.grouppanel.GroupPanel} control it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in JSX.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare const GroupPanel: WjForwardRefExoticComponent<GroupPanelProps>;
